@tool
extends Resource
class_name CharacterResource


enum Preference {
	LOVE, 
	APPROVE,
	DONT_CARE,
	DISAPPROVE,
	HATE
}

@export_category("General")
@export var name: String
@export var chara_sprite: Texture2D:
	set(value):
		chara_sprite = value
		changed.emit()

@export_category("Mask settings")
@export_group("Eyes")
@export var mask_eyes_position: Vector2 = Vector2.ZERO:
	set(value):
		mask_eyes_position = value
		changed.emit()
@export_custom(PROPERTY_HINT_RANGE, "-360,360,0.1,or_greater,or_less,radians") 
var mask_eyes_rotation : float = 0.0:
	set(value):
		mask_eyes_rotation = value
		changed.emit()
@export_group("Mouth")
@export var mask_mouth_position: Vector2 = Vector2.ZERO:
	set(value):
		mask_mouth_position = value
		changed.emit()
@export_custom(PROPERTY_HINT_RANGE, "-360,360,0.1,or_greater,or_less,radians") 
var mask_mouth_rotation : float = 0.0:
	set(value):
		mask_mouth_rotation = value
		changed.emit()

@export_category("Traits and preferences")
@export var traits: Array[Trait]
@export var preferences: Dictionary[Trait, Preference]
